--[[

enemy = {}

function enemy.load()
	enemy.width = 10
	enemy.height = 10
	enemy.speed = 200
end

enemy.timer = 0
enemy.timerLim = 0.1
enemy.amount = 1

function enemy.generate(dt)
	enemy.timer = enemy.timer + dt
	if enemy.timer > enemy.timerLim then
		for i=1,enemy.amount do
			enemy.spawn(math.random(0,390),-10)
		end
		enemy.timer = 0
	end
end

function enemy.spawn(x,y)
	table.insert(enemy, {x = x, y = y})
end

function enemy.move(dt)
	for i,v in ipairs(enemy) do
		v.y = v.y + enemy.speed * dt
	end
end

function enemy.draw()
	for i,v in ipairs(enemy) do
		love.graphics.setColor(255,255,255)
		love.graphics.rectangle("fill", v.x, v.y, enemy.width, enemy.height)
	end
end

function UPDATE_ENEMY(dt)
	enemy.generate(dt)
	enemy.move(dt)
end

function DRAW_ENEMY()
	enemy.draw()
end

--]]