player = {}

--Load Player
function player.load()
	player.x = 190
	player.y = 570
	player.xvel = 0
	player.yvel = 0
	player.friction = 7
	player.speed = 2000
	player.width = 20
	player.height = 20
end

--Draw Player
function player.draw()
	love.graphics.setColor(255,0,0)
	love.graphics.rectangle("line", player.x, player.y, player.width, player.height)
	love.graphics.setColor(200,0,100)
	love.graphics.rectangle("fill", player.x + 1, player.y + 1, player.width - 2, player.height - 2)
end


--Implement Velocity and Friction
function player.physics(dt)
	player.x = player.x + player.xvel * dt
	player.y = player.y + player.yvel * dt
	player.xvel = player.xvel * (1 - math.min(dt*player.friction, 1))
	player.yvel = player.yvel * (1 - math.min(dt*player.friction, 1))

end

--Calculate Velocity/inputs
function player.move(dt)
	if love.keyboard.isDown("up") and 
	player.yvel > -player.speed then
		player.yvel = player.yvel - player.speed * dt
	end
	if love.keyboard.isDown("down") and 
	player.yvel < player.speed then
		player.yvel = player.yvel + player.speed * dt
	end
	if love.keyboard.isDown("left") and 
	player.xvel > -player.speed then
		player.xvel = player.xvel - player.speed * dt
	end
	if love.keyboard.isDown("right") and 
	player.xvel < player.speed then
		player.xvel = player.xvel + player.speed * dt
	end
end

--Border Collisions
function player.boundary()
	left = 0
	right = 380
	top = 0
	bottom = 580
	if player.x < left then
		player.x = 0
		player.xvel = 0
	end
	if player.x > right then
		player.x = right
		player.xvel = 0
	end
	if player.y < top then
		player.y = top
		player.yvel = 0
	end
	if player.y > bottom then
		player.y = bottom
		player.yvel = 0
	end
end

function UPDATE_PLAYER(dt)
	player.physics(dt)
	player.move(dt)
	player.boundary()
end

function DRAW_PLAYER()
	player.draw()
end